body
{
	min-height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: white;
	overflow: hidden;
}

.box
{
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
    color: #fff;
    overflow: hidden;
}

.box p
{
    width: width;
    font-size: 30px;
    color: black;
    text-align: center;
    margin: auto;
    font-family: 'Noto Serif TC', serif;
}

.box input
{
    width: 260px;
    height: 50px;
    border: 2px solid #fff;
    background-color: #fff;
    outline: none;
    border-radius: 25px;
    font-size: 18px;
    margin: 20px 0;
    font-family: 'Noto Serif TC', serif;
}

.centered-placeholder 
{
    text-align: center;
    font-family: 'Noto Serif TC', serif;
}

.box button
{
    width: 260px;
    height: 50px;
    border: 2px solid #fff;
    background: none;
    border-radius: 25px;
    color: black;
    font-size: 18px;
    font-weight: bold;
    font-family: 'Noto Serif TC', serif;
}

.box button:hover
{
    background-color: #fff;
    color: red;
    cursor: pointer;
}

#darkModeToggle
{
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: black;
    color: #ffffff;
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 24px;
    cursor: pointer;
    box-shadow: 0 2px 10px rgba(0,0,0,0.3);
    transition: background-color 0.3s, color 0.3s;
    z-index: 9999;
}

body.dark-mode #darkModeToggle 
{
    background-color: #333;
    color: #ffffff;
}

#text 
{
    display: inline-block;
    white-space: pre;
}
  
/* 夜间模式 */
body.dark-mode 
{
    background-color: black;
}

body.dark-mode p
{
    width: width;
    font-size: 30px;
    color: white;
    text-align: center;
    margin: auto;
    font-family: 'Noto Serif TC', serif;
}

body.dark-mode input 
{
    background-color: black;
    color: #e0e0e0;
    border: 0px solid #333;
}


body.dark-mode button 
{
    background-color: black;
    color: #e0e0e0;
    border: 0px solid #555;
}

body.dark-mode button:hover
{
    background-color: black;
    color: red;
    cursor: pointer;
}